Main Page Widgets Namespaces Book

# gtkmm 2.4 documentation

This documentation is for the gtkmm 2.4 and gnomemm 2.6 APIs. There is also documentation for the gtkmm 2.0/2.2 APIs.

General

Basics | "Programming with gtkmm" | What's New
--- | --- | ---

- About gtkmm
- FAQs
- Download
- Offline documentation

Contents of whole online book.

Selected chapters:

- Installation
- Basics
- Signals
- Container Widgets
- TreeView
- Memory Management
- Glade and libglademm

- What's new in gtkmm 2.4
- Porting from gtkmm 1.2.x to gtkmm 2.0.x
- Porting from gnomemm 1.2.x to gnomemm 2.0.x
- News
- ChangeLog

API Reference

gtkmm (Gtk::) | glibmm (used by gtkmm) | glibmm (others)
--- | --- | ---

- Hierarchy
- Widgets
- Containers
- TreeView
- TextView
- Dialogs
- Menus and Toolbars
- Main loop
- enums and flags
- Stock IDs

- ustring
- Exceptions
- RefPtr<>

- Main Event loop
- Spawning Processes
- Threads
- Miscellaneous Utility Functions
- Character set conversion

Full | Namespaces | Extra Modules

- Inheritance Hierarchy
- Class Chart (image)
- All Classes
- All methods (long)

- Atk
- Gdk
- Glib
- Gtk
- Pango

- gnomemm:
  - Gnome::Canvas (libgnomecanvasmm)
  - Gnome::Conf (gconfmm)
  - Gnome::UI (libgnomeuimm)
  - Gnome::Glade (libglademm)
  - Gnome::Vfs (gnome-vfsmm)
- Bakery

Others

Further help | Tools | Appendix
--- | --- | ---

- Mailing List
- How to report a bug
- examples

- Glade
- Glademm code-generator

- License
- Credits
- GTK+ (The C library)
- GNOME

External Documentation | Unusual Platforms

- libsigc++ documentation
- GTK+ reference
- Standard C++ Library (STL)

- Solaris, with Sun's Forte C++.
- Windows, with mingw and cygwin
- Windows, with MSVC++